# oneview_logical_interconnect_group – Manage OneView Logical Interconnect Group resources

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Provides an interface to manage Logical Interconnect Group resources. Can create, update, or delete.

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 4.0.0

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

config
path

Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.

data - / required |  | List with the Logical Interconnect Group properties.

state
-

Choices:
- absent
- present ←

Indicates the desired state for the Logical Interconnect Group resource. `absent` will remove the resource from OneView, if it exists. `present` will ensure data properties are compliant with OneView.

validate_etag
boolean

Choices:
- no
- yes ←

When the ETag Validation is enabled, the request will be conditionally processed only if the current ETag for the resource matches the ETag provided in the data.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Ensure that the Logical Interconnect Group is present
      oneview_logical_interconnect_group:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: Test Logical Interconnect Group
          uplinkSets: []
          enclosureType: C7000
          interconnectMapTemplate:
            interconnectMapEntryTemplates:
              - logicalDownlinkUri: ~
                logicalLocation:
                    locationEntries:
                        - relativeValue: 1
                          type: Bay
                        - relativeValue: 1
                          type: Enclosure
                permittedInterconnectTypeName: HP VC Flex-10/10D Module
                # Alternatively you can inform permittedInterconnectTypeUri
      delegate_to: localhost

    - name: Ensure that the Logical Interconnect Group has the specified scopes
      oneview_logical_interconnect_group:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: Test Logical Interconnect Group
          scopeUris:
            - /rest/scopes/00SC123456
            - /rest/scopes/01SC123456
      delegate_to: localhost

    - name: Ensure that the Logical Interconnect Group is present with name 'Test'
      oneview_logical_interconnect_group:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: New Logical Interconnect Group
          newName: Test
      delegate_to: localhost

    - name: Ensure that the Logical Interconnect Group is absent
      oneview_logical_interconnect_group:
        config: /etc/oneview/oneview_config.json
        state: absent
        data:
          name: New Logical Interconnect Group
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
logical_interconnect_group dictionary | On state 'present'. Can be null. | Has the facts about the OneView Logical Interconnect Group.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

- Thiago Miotto (@tmiotto)

- Adriane Cardozo (@adriane-cardozo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.